/*
 * gimmix-common.h -- University of Applied Sciences Giessen
 *                    MMIX common definitions
 */


#ifndef _GIMMIX_COMMON_H_
#define _GIMMIX_COMMON_H_


typedef enum {
  false, true
} bool;				/* truth values */


typedef unsigned char byte;	/* a monobyte */
typedef unsigned int tetra;	/* a tetrabyte */
typedef struct {
  tetra h;
  tetra l;
} octa;				/* an octabyte */


#define mm		0x98	/* the escape code of mmo format */
#define lop_quote	0x0	/* the quotation lopcode */
#define lop_loc		0x1	/* the location lopcode */
#define lop_skip	0x2	/* the skip lopcode */
#define lop_fixo	0x3	/* the octabyte-fix lopcode */
#define lop_fixr	0x4	/* the relative-fix lopcode */
#define lop_fixrx	0x5	/* extended relative-fix lopcode */
#define lop_file	0x6	/* the file name lopcode */
#define lop_line	0x7	/* the file position lopcode */
#define lop_spec	0x8	/* the special hook lopcode */
#define lop_pre		0x9	/* the preamble lopcode */
#define lop_post	0xa	/* the postamble lopcode */
#define lop_stab	0xb	/* the symbol table lopcode */
#define lop_end		0xc	/* the end-it-all lopcode */


#endif /* _GIMMIX_COMMON_H_ */
